/*
 * Copyright (c) 1999 Johnny C. Lam.
 * All rights reserved.
 *
 * Permission to use, copy, modify, distribute and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear
 * in supporting documentation.  The author makes no representations
 * about the suitability of this software for any purpose.  It is
 * provided "as is" without express or implied warranty.
 */

// -*- C++ -*-

inline
HDictionary::size_type
HDictionary::NumberOfHaplotypes() const
{
    return _num_haps;
}

inline
bool
HDictionary::Verbose() const
{
    return _verbose;
}

inline
void
HDictionary::AddFrequency(const Haplotype& h, size_type pos, probability prob)
{
    _dictionaries[pos][h] = prob;
}

inline
ostream &
operator<<(ostream &ostr, const HDictionary &rhs)
{
    rhs.Write(ostr);
    return ostr;
}
